SetupConfigController_smtpConfigure
POST
/setup/v1/smtp/configure
const url = 'https://your-store.example.com/setup/v1/smtp/configure';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"host":"example","port":1,"secure":true,"user":"example","pass":"example","from":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/setup/v1/smtp/configure \ --header 'Content-Type: application/json' \ --data '{ "host": "example", "port": 1, "secure": true, "user": "example", "pass": "example", "from": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
host
required
string
port
required
integer
secure
required
boolean
user
string
pass
string
from
required
string
Example generated
{ "host": "example", "port": 1, "secure": true, "user": "example", "pass": "example", "from": "example"}